---
title: "Get a project by ID"
description: "Retrieves a single project by its ID"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.testandaccept.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Test And Accept API › Projects

`GET /projects/{id}`

Retrieves a single project by its ID

## Authentication

- `bearerAuth`, http, header `Authorization`, format `tnda_ token`

## Path parameters

- `id` (`projects-get.path.id`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.testandaccept.com/api/rest/projects/<id>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.testandaccept.com/api/rest/projects/<id>';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.testandaccept.com/api/rest/projects/<id>"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Successful response

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "status": "string",
  "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
  "clientName": "string",
  "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-24T14:15:22Z",
  "ownerUserId": "string",
  "organizationId": "string",
  "isPinned": true,
  "pinnedAt": "2019-08-24T14:15:22Z",
  "sowCount": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

- `id` (`projects-get.response.200.id`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
- `name` (`projects-get.response.200.name`; string, required)
- `status` (`projects-get.response.200.status`; string, required)
- `clientId` (`projects-get.response.200.clientId`; any of, required)
  - any of: `string`, `null`
- `contactId` (`projects-get.response.200.contactId`; any of, required)
  - any of: `string`, `null`
- `startDate` (`projects-get.response.200.startDate`; any of, required)
  - any of: `string`, `null`
- `endDate` (`projects-get.response.200.endDate`; any of, required)
  - any of: `string`, `null`
- `ownerUserId` (`projects-get.response.200.ownerUserId`; string, required)
- `organizationId` (`projects-get.response.200.organizationId`; any of, required)
  - any of: `string`, `null`
- `isPinned` (`projects-get.response.200.isPinned`; boolean, required)
- `pinnedAt` (`projects-get.response.200.pinnedAt`; any of, required)
  - any of: `string`, `null`
- `sowCount` (`projects-get.response.200.sowCount`; number, required)
- `createdAt` (`projects-get.response.200.createdAt`; string, required)
  - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
- `updatedAt` (`projects-get.response.200.updatedAt`; string, required)
  - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
- `description` (`projects-get.response.200.description`; any of, optional)
  - any of: `string`, `null`
- `clientName` (`projects-get.response.200.clientName`; any of, optional)
  - any of: `string`, `null`

### 400

Invalid input data

#### Example

```json
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
```

- `message` (`projects-get.response.400.message`; string, required) — The error message
  - example `"Invalid input data"`
- `code` (`projects-get.response.400.code`; string, required) — The error code
  - example `"BAD_REQUEST"`
- `issues` (`projects-get.response.400.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-get.response.400.issues.message`; string, required)

### 401

Authorization not provided

#### Example

```json
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
```

- `message` (`projects-get.response.401.message`; string, required) — The error message
  - example `"Authorization not provided"`
- `code` (`projects-get.response.401.code`; string, required) — The error code
  - example `"UNAUTHORIZED"`
- `issues` (`projects-get.response.401.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-get.response.401.issues.message`; string, required)

### 403

Insufficient access

#### Example

```json
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
```

- `message` (`projects-get.response.403.message`; string, required) — The error message
  - example `"Insufficient access"`
- `code` (`projects-get.response.403.code`; string, required) — The error code
  - example `"FORBIDDEN"`
- `issues` (`projects-get.response.403.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-get.response.403.issues.message`; string, required)

### 404

Not found

#### Example

```json
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
```

- `message` (`projects-get.response.404.message`; string, required) — The error message
  - example `"Not found"`
- `code` (`projects-get.response.404.code`; string, required) — The error code
  - example `"NOT_FOUND"`
- `issues` (`projects-get.response.404.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-get.response.404.issues.message`; string, required)

### 500

Internal server error

#### Example

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
```

- `message` (`projects-get.response.500.message`; string, required) — The error message
  - example `"Internal server error"`
- `code` (`projects-get.response.500.code`; string, required) — The error code
  - example `"INTERNAL_SERVER_ERROR"`
- `issues` (`projects-get.response.500.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-get.response.500.issues.message`; string, required)


Source: https://docs.testandaccept.com/reference/projects/retrieve/index.md
